Skip to main content
PATCH
/
api
/
payments
/
prices
/
{priceId}
Update Price
curl --request PATCH \
  --url https://api.example.com/api/payments/prices/{priceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "environment": "test",
  "active": true,
  "lookupKey": "pro_monthly"
}
'
{
  "price": {
    "environment": "test",
    "stripePriceId": "price_123",
    "stripeProductId": "prod_123",
    "active": true,
    "currency": "usd",
    "unitAmount": 2900,
    "unitAmountDecimal": "2900",
    "type": "recurring",
    "lookupKey": "pro_monthly",
    "billingScheme": "per_unit",
    "taxBehavior": "unspecified",
    "recurringInterval": "month",
    "recurringIntervalCount": 1,
    "metadata": {},
    "syncedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

priceId
string
required

Stripe price ID.

Minimum string length: 1

Body

application/json
environment
enum<string>
required
Available options:
test,
live
active
boolean
lookupKey
string | null
Required string length: 1 - 200
taxBehavior
enum<string>
Available options:
exclusive,
inclusive,
unspecified
metadata
object

Response

Price updated

price
object
required